SRU tracking bug for KDE's Plasma 5.12.5 for bionic

Bug #1768245 reported by Rik Mills on 2018-05-01
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
bluedevil (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
breeze (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
breeze-grub (Ubuntu)
Medium
Unassigned
breeze-gtk (Ubuntu)
Medium
Unassigned
breeze-plymouth (Ubuntu)
Medium
Unassigned
drkonqi (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
kactivitymanagerd (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
kde-cli-tools (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
kde-gtk-config (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
kdecoration (Ubuntu)
Medium
Unassigned
kdeplasma-addons (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
kgamma5 (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
khotkeys (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
kinfocenter (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
kmenuedit (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
kscreen (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
kscreenlocker (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
ksshaskpass (Ubuntu)
Medium
Unassigned
ksysguard (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
kwayland-integration (Ubuntu)
Medium
Unassigned
kwin (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
kwrited (Ubuntu)
Medium
Unassigned
libkscreen (Ubuntu)
Medium
Unassigned
libksysguard (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
milou (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
oxygen (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
plasma-desktop (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
plasma-discover (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
plasma-integration (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
plasma-nm (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
plasma-pa (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
plasma-sdk (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
plasma-vault (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
plasma-workspace (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
plasma-workspace-wallpapers (Ubuntu)
Medium
Unassigned
plymouth-kcm (Ubuntu)
Medium
Unassigned
polkit-kde-agent-1 (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
powerdevil (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
sddm-kcm (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
systemsettings (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
user-manager (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
xdg-desktop-portal-kde (Ubuntu)
Medium
Unassigned

Bug Description

SRU tracking bug for KDE's Plasma 5.12.5 LTS for bionic

We released Bionic with Plasma 5.12.4; Plasma 5.12.5 bugfix was released on April 25 2017.

Official release announcement by the KDE community: https://www.kde.org/announcements/plasma-5.12.5.php

Complete changelog (excludes translation updates): https://www.kde.org/announcements/plasma-5.12.4-5.12.5-changelog.php

[Impact]

 * Without this update, general users who are not inclined or able to add our backports/update ppa will not receive this bugfix release of the Plasma 5.12 LTS series

 * Providing this bugfix release via the official update pocket in the archive will ensure that the bugfixes here reach and benefit most of our users. This is particularly important for a Kubuntu and Plasma LTS release

[Test Case]

 * General tests:
   - Does plasma desktop start as normal with no apparent regressions over 5.12.4?
   - General workflow - testers should carry out their normal tasks, using the plasma features they normally do, and test common subsystems such as audio, settings changes, compositing, desktop affects, suspend etc.

 * Specific tests:
   - Check the changelog: https://www.kde.org/announcements/plasma- .12.4-5.12.5-changelog.php
   - Identify items with front/user facing changes capable of specific testing. e.g. "Default power scheme in place of config is removed to simulate a new install" in plasma workspace,"weather plasmoid fetches BBC weather data."
   - Test the 'fixed' functionality.

[Regression Potential]

 * These updates fix some obvious front facing issues, but also include some underlying code fixes.
  - e.g. changes for compilation under Qt versions we do not ship yet, code optimizations and fixes with less obvious explanation of impact in the changelog,

 * Fixes for obvious and testable bugs and regressions can also introduce unintended other regressions in either the feature/app being fixed, or desktop components or subsystems that interact with it. So it is important in these updates to consider:

* General testing - does the desktop as a whole, and routine use of such work as previously with no obvious regressions over the previous release.

* If there is say a fix for the audio applet to fix one issue, in addition to fixing that issue, do the other common features of that app still work as before, do the general audio settings still work?

[Other Info]

 * Packages not listed in the changelog either have a 0-diff or just translation updates, but have been included in the update to maintain a cohesive whole, and to not confuse users who expect to see all plasma components updated in any update release.
* However, we deliberately versioned depends and build depends, so that if accepting rebuilt small diff packages into the final release to the updates pocket is considered too much of a regression potential, or too difficult to validate, packages that have not introduced or require a dependency (internal or external) on 5.12.5 version, should be able to be abandoned from consideration and the SRU.

Rik Mills (rikmills) on 2018-05-01
description: updated
Rik Mills (rikmills) on 2018-05-01
description: updated
Rik Mills (rikmills) wrote :

kwallet-pam reoved from this tracking bug, as it is subject to a separately tracked security update

no longer affects: kwallet-pam (Ubuntu)
Simon Quigley (tsimonq2) on 2018-05-15
Changed in bluedevil (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in breeze (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in breeze-grub (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in breeze-gtk (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in breeze-plymouth (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in drkonqi (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in kactivitymanagerd (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in kde-cli-tools (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in kde-gtk-config (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in kdecoration (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in kdeplasma-addons (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in kgamma5 (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in khotkeys (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in kinfocenter (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in kmenuedit (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in kscreen (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in kscreenlocker (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in ksshaskpass (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in ksysguard (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in kwayland-integration (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in kwin (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in kwrited (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in libkscreen (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in libksysguard (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in oxygen (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in plasma-desktop (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in plasma-discover (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in plasma-integration (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in plasma-nm (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in plasma-pa (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in plasma-sdk (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in plasma-vault (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in plasma-workspace (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in plasma-workspace-wallpapers (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in plymouth-kcm (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Simon Quigley (tsimonq2) on 2018-05-15
Changed in milou (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in polkit-kde-agent-1 (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in powerdevil (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in sddm-kcm (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in systemsettings (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in user-manager (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in xdg-desktop-portal-kde (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed

Hello Rik, or anyone else affected,

Accepted bluedevil into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/bluedevil/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in bluedevil (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted drkonqi into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/drkonqi/5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in drkonqi (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted breeze into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/breeze/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in breeze (Ubuntu Bionic):
status: New → Fix Committed
Changed in kactivitymanagerd (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kactivitymanagerd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kactivitymanagerd/5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kde-cli-tools (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kde-cli-tools into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kde-cli-tools/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kde-gtk-config (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kde-gtk-config into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kde-gtk-config/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kdeplasma-addons into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kdeplasma-addons/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kdeplasma-addons (Ubuntu Bionic):
status: New → Fix Committed
Changed in kgamma5 (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kgamma5 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kgamma5/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in khotkeys (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted khotkeys into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/khotkeys/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kinfocenter (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kinfocenter into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kinfocenter/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kmenuedit (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kmenuedit into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kmenuedit/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kscreen (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kscreen into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kscreen/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kscreenlocker (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kscreenlocker into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kscreenlocker/5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ksysguard (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted ksysguard into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ksysguard/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kwin (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kwin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kwin/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted libksysguard into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libksysguard/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libksysguard (Ubuntu Bionic):
status: New → Fix Committed
Changed in milou (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted milou into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/milou/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in oxygen (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted oxygen into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/oxygen/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-desktop into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-desktop/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in plasma-desktop (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-discover into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-discover/5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in plasma-discover (Ubuntu Bionic):
status: New → Fix Committed
Changed in plasma-integration (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-integration into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-integration/5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in plasma-nm (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-nm into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-nm/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in plasma-pa (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-pa into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-pa/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in plasma-sdk (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-sdk into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-sdk/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in plasma-vault (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-vault into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-vault/5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in plasma-workspace (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-workspace into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-workspace/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in polkit-kde-agent-1 (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted polkit-kde-agent-1 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/polkit-kde-agent-1/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in powerdevil (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted powerdevil into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/powerdevil/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sddm-kcm (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted sddm-kcm into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sddm-kcm/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in systemsettings (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted systemsettings into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemsettings/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in user-manager (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted user-manager into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/user-manager/4:5.12.5-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Testing -proposed in Bionic -- installed all of the new Plasma packages. Discover works well, installed some of the updates successfully, downloaded, installed and enabled a couple of widgets; also working great.

SDDM looks beautiful and logged in with no hitches. Plasma-nm connected to wifi successfully. Paired my phone via bluetooth with no issues. KInfoCenter is full of information, all correct. Ksysguard is working flawlessly. Powerdevil correctly notices when I unplug the laptop.

Marco Parillo (marco-parillo) wrote :

All good.
I enabled Proposed (Pre-release Updates) to my VM using Discover, and rebooted, and tested:
 - Discover Launched from the notification widget and successfully applied a system update
 - Alt F2 launched Krunner and I successfully invoked kinfocenter
 - Kinfocenter Successfully returned KDE Plasma 5.12.5 KDE Frameworks 5.44, and Qt 5.9.5
 - Alt F1 launches the Kicker Application Launcher, and I successfully launched konsole and ran an apt command under sudo
 - The Super key also launches the Kicker Application Launcher, and I successfully launched System Settings
 - I used the RMB to successfully add the Analog Clock and Weather Widgets, and configured the weather widget successfully.

Rik Mills (rikmills) wrote :

My testing of these updates has been in 2 stages.

1) 2 weeks ago, shortly after tarball release by KDE, I built the testing packages in our staging PPAs and upgrades my primary system and a VM to them.

2) Once uploaded to -proposed I ppa-purge'd the ppa builds and upgraded to the candidate packages.

I am aware that (2) is the crucial part, but mention (1) as that significantly increases my confidence in the code changes/fixes.

For specific fixes mentioned in the changelogs that I could replicate the issue involved, I verified that that fix did indeed do as advertised.

For other packages where changes are more subtle (translation updates etc) I observed no regressions in the normal behaviour that I would expect, either in specific functions that I use where identifiable, or more generally where packages are more part of the whole desktop and desktop shell integration.

As a Kubuntu developer I am currently happy enough to support these updates being pushed to users.

I would note that plasma-discover has a 5.12.5.1 extra point update additional bugfixes that did not make it into 5.12.5, but I will either wait to put that through as a separate SRU, or should this one take longer update the package version.

Rik Mills (rikmills) wrote :

Comment from ~darinmiller in IRC. One of our main testers in #kubuntu-devel

"Tested 2 system here with plasma 5.12.5. Everything is working OK except for this known issue: https://bugs.kde.org/show_bug.cgi?id=368838"

Hopefully he will be able to pop on here an expand on that. The bug mentioned there is an upstream Qt one, and not something these updates were intended to fix

Rik Mills (rikmills) on 2018-05-23
tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bluedevil - 4:5.12.5-0ubuntu0.1

---------------
bluedevil (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:32:58 +0100

Changed in bluedevil (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for bluedevil has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kgamma5 - 4:5.12.5-0ubuntu0.1

---------------
kgamma5 (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:33:43 +0100

Changed in kgamma5 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kwin - 4:5.12.5-0ubuntu0.1

---------------
kwin (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:34:16 +0100

Changed in kwin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kscreen - 4:5.12.5-0ubuntu0.1

---------------
kscreen (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:33:58 +0100

Changed in kscreen (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kactivitymanagerd - 5.12.5-0ubuntu0.1

---------------
kactivitymanagerd (5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:33:25 +0100

Changed in kactivitymanagerd (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kmenuedit - 4:5.12.5-0ubuntu0.1

---------------
kmenuedit (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:33:55 +0100

Changed in kmenuedit (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package drkonqi - 5.12.5-0ubuntu0.1

---------------
drkonqi (5.12.5-0ubuntu0.1) bionic; urgency=medium

  * Update VCS fields
  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:33:21 +0100

Changed in drkonqi (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kinfocenter - 4:5.12.5-0ubuntu0.1

---------------
kinfocenter (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:33:51 +0100

Changed in kinfocenter (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ksysguard - 4:5.12.5-0ubuntu0.1

---------------
ksysguard (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:34:09 +0100

Changed in ksysguard (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kscreenlocker - 5.12.5-0ubuntu0.1

---------------
kscreenlocker (5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:34:02 +0100

Changed in kscreenlocker (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package khotkeys - 4:5.12.5-0ubuntu0.1

---------------
khotkeys (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:33:47 +0100

Changed in khotkeys (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdeplasma-addons - 4:5.12.5-0ubuntu0.1

---------------
kdeplasma-addons (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:33:39 +0100

Changed in kdeplasma-addons (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde-gtk-config - 4:5.12.5-0ubuntu0.1

---------------
kde-gtk-config (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:33:32 +0100

Changed in kde-gtk-config (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oxygen - 4:5.12.5-0ubuntu0.1

---------------
oxygen (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:34:33 +0100

Changed in oxygen (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package milou - 4:5.12.5-0ubuntu0.1

---------------
milou (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:34:30 +0100

Changed in milou (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libksysguard - 4:5.12.5-0ubuntu0.1

---------------
libksysguard (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:34:27 +0100

Changed in libksysguard (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package breeze - 4:5.12.5-0ubuntu0.1

---------------
breeze (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:33:01 +0100

Changed in breeze (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde-cli-tools - 4:5.12.5-0ubuntu0.1

---------------
kde-cli-tools (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:33:28 +0100

Changed in kde-cli-tools (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-pa - 4:5.12.5-0ubuntu0.1

---------------
plasma-pa (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:34:50 +0100

Changed in plasma-pa (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-desktop - 4:5.12.5-0ubuntu0.1

---------------
plasma-desktop (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)
  * Cherry pick upstream patch to fix a regression in 5.12.5, where
    submenus do not update when switching between categories of the same
    size
    - debian/patches: upstream_fix-kicker-menu-regression.diff

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:34:38 +0100

Changed in plasma-desktop (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package user-manager - 4:5.12.5-0ubuntu0.1

---------------
user-manager (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:35:29 +0100

Changed in user-manager (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-discover - 5.12.5-0ubuntu0.1

---------------
plasma-discover (5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)
  * Add apt-config-icons* to depends to ensure we have all app icons, as
    recommended by KDE developers

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:33:17 +0100

Changed in plasma-discover (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-sdk - 4:5.12.5-0ubuntu0.1

---------------
plasma-sdk (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:34:54 +0100

Changed in plasma-sdk (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package polkit-kde-agent-1 - 4:5.12.5-0ubuntu0.1

---------------
polkit-kde-agent-1 (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:35:15 +0100

Changed in polkit-kde-agent-1 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-nm - 4:5.12.5-0ubuntu0.1

---------------
plasma-nm (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:34:46 +0100

Changed in plasma-nm (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-integration - 5.12.5-0ubuntu0.1

---------------
plasma-integration (5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:34:43 +0100

Changed in plasma-integration (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sddm-kcm - 4:5.12.5-0ubuntu0.1

---------------
sddm-kcm (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:35:22 +0100

Changed in sddm-kcm (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package powerdevil - 4:5.12.5-0ubuntu0.1

---------------
powerdevil (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:35:18 +0100

Changed in powerdevil (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemsettings - 4:5.12.5-0ubuntu0.1

---------------
systemsettings (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:35:25 +0100

Changed in systemsettings (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-workspace - 4:5.12.5-0ubuntu0.1

---------------
plasma-workspace (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * An explicit build depend on libmpfr-dev is now required for the
    qalculate krunner
  * Drop upstream_fix-Klipper-notifications.patch
  * Drop patches requested by upstream KDE to fix the weather applet
  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:35:00 +0100

Changed in plasma-workspace (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-vault - 5.12.5-0ubuntu0.1

---------------
plasma-vault (5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <email address hidden> Tue, 15 May 2018 18:34:57 +0100

Changed in plasma-vault (Ubuntu Bionic):
status: Fix Committed → Fix Released
Rik Mills (rikmills) wrote :

Due to a separate crash bugfix release, plasma discover will be released and tracked under:

https://bugs.launchpad.net/ubuntu/+source/plasma-discover/+bug/1773292

Changed in breeze-grub (Ubuntu):
status: Confirmed → Won't Fix
Changed in breeze-gtk (Ubuntu):
status: Confirmed → Won't Fix
Changed in breeze-plymouth (Ubuntu):
status: Confirmed → Won't Fix
Changed in kdecoration (Ubuntu):
status: Confirmed → Won't Fix
Changed in ksshaskpass (Ubuntu):
status: Confirmed → Won't Fix
Changed in kwayland-integration (Ubuntu):
status: Confirmed → Won't Fix
Changed in kwrited (Ubuntu):
status: Confirmed → Won't Fix
Changed in libkscreen (Ubuntu):
status: Confirmed → Won't Fix
Changed in plasma-workspace-wallpapers (Ubuntu):
status: Confirmed → Won't Fix
Changed in plymouth-kcm (Ubuntu):
status: Confirmed → Won't Fix
Rik Mills (rikmills) on 2018-05-26
Changed in bluedevil (Ubuntu):
status: Confirmed → Fix Released
Changed in breeze (Ubuntu):
status: Confirmed → Fix Released
Changed in drkonqi (Ubuntu):
status: Confirmed → Fix Released
Changed in kactivitymanagerd (Ubuntu):
status: Confirmed → Fix Released
Changed in kde-cli-tools (Ubuntu):
status: Confirmed → Fix Released
Changed in kde-gtk-config (Ubuntu):
status: Confirmed → Fix Released
Changed in kdeplasma-addons (Ubuntu):
status: Confirmed → Fix Released
Changed in kgamma5 (Ubuntu):
status: Confirmed → Fix Released
Changed in khotkeys (Ubuntu):
status: Confirmed → Fix Released
Changed in kinfocenter (Ubuntu):
status: Confirmed → Fix Released
Changed in kmenuedit (Ubuntu):
status: Confirmed → Fix Released
Changed in kscreen (Ubuntu):
status: Confirmed → Fix Released
Rik Mills (rikmills) on 2018-05-26
Changed in xdg-desktop-portal-kde (Ubuntu):
status: Confirmed → Won't Fix
Changed in user-manager (Ubuntu):
status: Confirmed → Fix Released
Changed in systemsettings (Ubuntu):
status: Confirmed → Fix Released
Changed in sddm-kcm (Ubuntu):
status: Confirmed → Fix Released
Changed in powerdevil (Ubuntu):
status: Confirmed → Fix Released
Changed in polkit-kde-agent-1 (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-workspace (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-vault (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-sdk (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-pa (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-nm (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-integration (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-desktop (Ubuntu):
status: Confirmed → Fix Released
Changed in oxygen (Ubuntu):
status: Confirmed → Fix Released
Changed in milou (Ubuntu):
status: Confirmed → Fix Released
Changed in libksysguard (Ubuntu):
status: Confirmed → Fix Released
Changed in kwin (Ubuntu):
status: Confirmed → Fix Released
Changed in ksysguard (Ubuntu):
status: Confirmed → Fix Released
Changed in kscreenlocker (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-discover (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.